/* 
Basicially modified from the BlueSky theme of cnblogs, to make it similar like my own blog.
By BLumia.
 */
html {
	color: #000;
	overflow-y: scroll;
	background: #fff;
}
.clear {
	clear: both;
}
body, h1, h2, h3, h4, h5, h6, hr, p, blockquote, dl, dt, dd, ul, ol, li, pre, fieldset, lengend, button, input, textarea, form, th, td {
	margin: 0;
	padding: 0;
	list-style-type: none;
	list-style-image: none;
}
/*pre,code	{
	width:100%-20px;
	margin: 10px 0;
	padding: 10px;
	border: 0;
	border: 1px dotted #785;
	background: #f5f5f5;
	word-wrap:break-word;
	}*/
body, button, input, select, textarea {
	font: 12px/1.5 Tahoma, Arial, Helvetica, sans-serif;
}
h1, h2, h3, h4, h5, h6 {
	font-size: 100%;
	font-weight: normal;
}
address, cite, dfn, em, var {
	font-style: normal;
}
code, kbd, pre, samp, tt {
	font-family: "Courier New", Courier, monospace;
}
small {
	font-size: 12px;
}
ul, ol {
	list-style: none;
}
a:link, a:visited {
	text-decoration: none;
	color: #3399ff;
}
a:hover {
	text-decoration: none;
	color: #3399FF;
}
abbr[title], acronym[title] {
	border-bottom: 1px dotted;
	cursor: help;
}
q:before, q:after {
	content: '';
}
:focus {
	outline: 0;
}
legend {
	color: #000;
}
fieldset, img {
	border: none;
}
button, input, select, textarea {
	font-size: 100%;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
hr {
	border: none;
	height: 1px;
*color:#fff;
}
img {
	-ms-interpolation-mode: bicubic;
}
/*html5*/
article, aside, dialog, footer, header, hground, section, footer, nav, figure, menu {
	display: block
}
#navigator,#blogTitle,#main,#footer{
	width: 1050px;
	position: relative;
	margin: 0 auto;
}
#header{
	/*background-color: #4285F4;*/
	background-size: cover;
	background-position: center center;
	position: relative;
	height: 230px;
	width: 100%;
}
#main{
	margin-top: 20px;
	margin-bottom: 0px;
}
#mainContent{
	width: 765px;
	float: left;
	display: inline-block;
}

#sideBar{
	width: 250px;
	padding-left: 16px;
	padding-right: 16px;
	display: inline-block;
	overflow: hidden;
	color: #2D2D2D;
}
#footer{
	padding-top: 10px;
	padding-bottom: 10px;
	text-align: center;
	color: #000;
	font-size: 12px;
}

#navigator{
	top: 15px;
}

#navList {
	float: right;
	text-align: right;
}

#navList li{
	font-size: 15px;
	float: left;
	margin-left: 20px;
	display: inline;
}
#navList li a{
	display: inline;
	list-style: none;
	color: #FFF;
	padding: 19px 12px 22px;
	transition: border-bottom-color 0.5s;
}
#navList li a:hover{
	border-bottom:2px solid transparent;
	border-bottom-color:rgba(255,255,255,0.35);
	transition: border-bottom-color 0.5s;
	}
.blogStats{
	color: rgb(66,133,244);
	font-size: 12px;
	text-align: left;
	transition: color 0.5s;
}
.blogStats:hover{
	color: rgb(255,255,255);
	font-size: 12px;
	text-align: left;
	transition: color 0.5s;
}
#Header1_HeaderTitle{
	color:white;
}
#Header1_HeaderTitle:hover{
	text-decoration: none;
}
.day{background:white; padding:32px;}
.postTitle,.postTitl2,.entrylistPosttitle{
	font-size: 20px;
	padding-right: 64px;
	padding-left: 10px;
	border-left-width: 3px;
	border-left-style: solid;
	border-left-color: #2175bc;
}
.postTitle a,.postTitl2 a,.entrylistPosttitle a{
	color: #333;
  padding-left: 0px;
  transition: padding-left 0.5s;
}

.postTitle a:hover,.postTitl2 a:hover,.entrylistPosttitle a:hover{
  color:##3399ff;
  padding-left: 10px;
  text-decoration:none;
  transition: padding-left 0.5s;
}

.postTitle a:link, .post-title a:visited,.postTitl2 a:link,.postTitl2 a:visited,.entrylistPosttitle a:link,.entrylistPosttitle a:visited{color:black;}

.postBody,.postCon,.entrylistPostSummary{clear:both; margin-top:26px;}
.postBody,.postCon,.entrylistPostSummary{font-size:14px;color:#444;line-height:1.8;}
.postCon h1, .postCon h2, .postCon h3, .postCon h4, .postCon h5, .postCon h6{
    font-weight:bold;
    line-height:1.8;
}
.postBody h1,.postCon h1{font-size:20px;}
.postBody h2,.postCon h2{font-size:18px;}
.postBody h3,.postCon h3{font-size:16px;}
.postBody h4,.postCon h4{font-size:14px;}
.postBody h5,.postCon h5{font-size:14px;}
.postBody h6,.postCon h6{font-size:14px;}
.postBody dd,.postCon dd{padding-left:2em;}
.postBody ul,.postCon ul{list-style:none;margin-left:20px;}
.postBody ul li,.postCon ul li{list-style:inside disc;}
.postBody dt,.postCon dt{ font-weight:bold; padding:6px 0; clear:both}
.postBody ol,.postCon ol{list-style:none;margin-left:20px;}
.postBody blockquote,.postCon blockquote{width:90%;margin:0 auto;padding:6px 0 6px 45px;color:#666;
    background:white url(/images/blockquote.gif) top left no-repeat;}
.dayTitle,.postDesc{ font-size:12px; color:#999999;}
.postDesc2,.entrylistItemPostDesc{
	border-bottom: 1px dashed #E8E7D0;
	text-align: right;
	margin: 20px 0px;
	padding:5px 0px;
}
.dayTitle{
  border: 0px;
	position: relative;
	top: -5px;
	width: 100px;
	left: -10px;
	padding-top: 3px;
	padding-right: 0px;
	padding-bottom: 3px;
	padding-left: 8px;
}
.dayTitle a{
 	color:#333;
 }
.topicListFooter{
	padding: 32px;
}
#sideBarMain div{margin-bottom:26px;}
#sideBarMain div div{margin-bottom:5px;}
#sideBarMain h3{
	font-weight: bold;
}
#blog-comments-placeholder,#divRefreshComments,.commentform,#AjaxHolder_UpdatePanel1{padding: 0 32px;}
.post{padding: 32px;}
.feedbackItem{
	border: 1px solid #E3E3E3;
	padding: 5px;
	margin-bottom: 10px;
	background-color: #F6F6F6;
}
.blog_comment_body{
	color: #929292;
	padding-top: 10px;
}
.forFlow p{margin-bottom:18px;}
.forFlow img{
	margin-top: 20px;
	margin-bottom: 20px;
}

.entrylistTitle,.PostListTitle{
	display:none;
}

#blogTitle{
	position:relative;
	height: 0px;
	align-self: center;
	top: 75px;
	padding-left: 20px;
}

#blogTitle>h1 {
	font-size: 50px;
	color: #FFFFFF;
}

#blogTitle>h2 {
	font-size: 14px;
	color: #FFFFFF;
}

.cnblogs_code img{
	margin:0;
	float:left;
}
.cnblogs_code_toolbar {
	margin-top: 0px;
}
.code{
	padding:0 10px;
}
h4{
	font-size: 16px;
	background-color: #F60;
	margin: 0 -32px;
	padding: 0 32px;
	color: white;
}
#myposts .myposts_title{font-size: 16px;margin-top: 20px;text-align: center;}
#myposts .postTitl2 {border-left: none;padding-left: 0px;padding-right: 0px;}
#myposts .postTitl2 a{	font-size: 16px;}
#myposts .postDesc2 {margin: 20px 0 20px 5px;}
#cnblogs_post_body{font-size: 14px;}

.topicListFooter, .day , .post , .commentform, .entrylistItem, #myposts {
	position: relative;
	padding:15px 20px 0px;
	margin-bottom:15px;
	background:#fff;
	-webkit-border-radius:3px;
	border-radius:3px;
	-webkit-box-shadow:0 2px 4px rgba(0,0,0,0.25);
	box-shadow:0 2px 4px rgba(0,0,0,0.25)
}

.topicListFooter {
	padding:15px 20px;
	margin: 0;
}

.topicListFooter:hover , .day:hover , .post:hover , .commentform:hover {
	-webkit-box-shadow:0 2px 4px rgba(0,0,0,0.45);
	box-shadow:0 2px 4px rgba(0,0,0,0.45);
	-moz-transition: box-shadow 0.5s;
	transition: box-shadow 0.5s;
}

.postDesc {
 	text-align: right;
	margin: 20px -20px;
	padding:20px 20px;
	border-bottom: 1px dotted #785;
	border-top: 1px dashed #E8E7D0;
	position:relative;
}

.c_ad_block {
	display: none;
}

/* triangles */
.triangles{
	width:100%;
	height:720px;
	position:absolute
}

@-webkit-keyframes triangles-scroll{
	0%{
		-webkit-transform:translateY(0);
		transform:translateY(0)
	}

	100%{
		-webkit-transform:translateY(-360px);
		transform:translateY(-360px)
	}

}

@keyframes triangles-scroll{
	0%{
		-webkit-transform:translateY(0);
		transform:translateY(0)
	}

	100%{
		-webkit-transform:translateY(-360px);
		transform:translateY(-360px)
	}

}

#triangles-1{
	background-image:url(https://images.cnblogs.com/cnblogs_com/blumia/724041/o_triangles-1.png);
	-webkit-animation:triangles-scroll 10s infinite linear;
	animation:triangles-scroll 10s infinite linear
}

#triangles-2{
	background-image:url(https://images.cnblogs.com/cnblogs_com/blumia/724041/o_triangles-2.png);
	-webkit-animation:triangles-scroll 15s infinite linear;
	animation:triangles-scroll 15s infinite linear
}

#triangles-3{
	background-image:url(https://images.cnblogs.com/cnblogs_com/blumia/724041/o_triangles-3.png);
	-webkit-animation:triangles-scroll 20s infinite linear;
	animation:triangles-scroll 20s infinite linear
}

#gradient-overlay{
	width:100%;
	height:100%;
	position:absolute;
	transition:all 1s ease-in-out;
	background:linear-gradient(rgba(17, 157, 187, 0.9) 0px, #4020E0 75%, #1059B9 100%) repeat scroll 0% 0%;
}

.header-background{
	width:100%;
	height:100%;
	overflow:hidden;
	position:fixed;
	z-index:-1;
	background-color:#b17
}

.catListTitle{
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
	font-size:17px;
	padding:10px 15px;
	background-color:#169fe6;
	color:#fff;
	font-weight:normal;
}

.sidebar-block{
	margin-bottom:20px;
}

.sidebar-block ul{
	border:1px solid #dedede;
	border-top:none;
	border-bottom:none;
}

.sidebar-block ul li{
	line-height:2;
	border-bottom:1px solid #E9E9E9;
	padding:6px 10px 6px 20px;
	font-size:14px;
	color:#DEDEDE;
	background-color: rgba(255,255,255,0);
	transition: background-color 0.5s;
}

.sidebar-block ul li:hover{
	background-color: rgba(59, 55, 55, 0.5);
	transition: background-color 0.5s;
}

.sidebar-block ul li a {
	color: #5FF;
}

#blog-news, #blog-calendar{
	background:#fff;
	padding:20px;
	color:#7e8c8d;
	font-size:13px;
	line-height:1.8;
	margin-top:0!important;
	border:1px solid #dedede
}

.input_my_zzk{
	width:120px;
	height:35px;
	border:1px solid #ddd;
	outline:none;
	line-height:35px;
	font-size:13px;
	padding:0 12px
}

input.btn_my_zzk{
	font-size:14px;
	height:37px;
	width:70px;
	background:rgba(0,0,0,0);
	text-align:center;
	line-height:37px;
	border:none;
	color:#fff;
	font-family:"Microsoft Yahei","Simsun",Arial;
	border:1px solid #dedede;
}

input.btn_my_zzk:hover{
	border:1px solid #ffffff;
	cursor:hand
}

#sidebar_search_box {
	padding-left: 16px;
	border:1px solid #dedede;
}

#blog-comments-placeholder {
	background-color: white;
}